GETDISKBYNAME(3) | Library Functions Manual | GETDISKBYNAME(3)

# NAME

`getdiskbyname`, `setdisktab` —
get generic disk description by its name

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <sys/types.h>`
`#include <sys/disklabel.h>`
`#include <disktab.h>`

int
`setdisktab`(char *name);

struct disklabel *
`getdiskbyname`(const char *name);

# DESCRIPTION

The `getdiskbyname`() function takes a disk name (e.g. ‘`rm03`’) and returns a prototype disk label describing its geometry information and the standard disk partition tables. All information is obtained from the disktab(5) file.

The `setdisktab`() function changes the default disktab file name from /etc/disktab (aka `_PATH_DISKTAB`) to name.

# RETURN VALUES

`getdiskbyname`() returns a null pointer if the entry is not found in the current disktab file.

`setdisktab`() returns 0 on success and -1 if name is a null pointer or points to an empty string.

# FILES

/etc/disktab
  the default database of disk types.

# SEE ALSO

disklabel(5), disktab(5), disklabel(8)

# HISTORY

The `getdiskbyname`() function appeared in 4.3BSD.

The `setdisktab`() function appeared in NetBSD 1.4.

# BUGS

The `getdiskbyname`() function leaves its results in an internal static object and returns a pointer to that object. Subsequent calls will modify the same object.

June 4, 1993 | NetBSD 9.4